#include "mymodel.h"

//--------------------------------------------------------------------
MyModel::MyModel()
{
 // setup default object coordinates (a simple triangle)
 m_verts.push_back( Point(100.0,100.0) );
 m_verts.push_back( Point(200.0,100.0) );
 m_verts.push_back( Point(150.0,175.0) );

 // setup default vertices' colors
 m_vcolors.push_back( Color(1.0,0.0,0.0) );  // red
 m_vcolors.push_back( Color(0.0,1.0,0.0) );  // green
 m_vcolors.push_back( Color(0.0,0.0,1.0) );  // blue
}
//--------------------------------------------------------------------

//--------------------------------------------------------------------
MyModel::~MyModel()
{
 m_verts.clear();
 m_vcolors.clear();
}
//--------------------------------------------------------------------

//--------------------------------------------------------------------
void
MyModel::getBoundBox(double* _xmin,
                     double* _xmax,
                     double* _ymin,
                     double* _ymax)
{
 if(m_verts.size() < 1)
 {
  *_xmin =  0.0;
  *_xmax = 10.0;
  *_ymin =  0.0;
  *_ymax = 10.0;
  return;
 }

 *_xmin = m_verts[0].getX();
 *_xmax = *_xmin;
 *_ymin = m_verts[0].getY();
 *_ymax = *_ymin;

 for(int i = 1; i < m_verts.size(); i++)
 {
  if(m_verts[i].getX() < *_xmin)
   *_xmin = m_verts[i].getX();
  if(m_verts[i].getX() > *_xmax)
   *_xmax = m_verts[i].getX();
  if(m_verts[i].getY() < *_ymin)
   *_ymin = m_verts[i].getY();
  if(m_verts[i].getY() > *_ymax)
   *_ymax = m_verts[i].getY();
 }
}
//--------------------------------------------------------------------
